<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~linked-specimen.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#update-results
{
	width: 40em; 
	border-width: 1px; 
	margin-left: 2em;
}

#update-results th, #update-results td
{
	text-align: left;
	padding: 2px;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Linked specimen batch update" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Linked specimen</div>
		<div class="step-content">

			<div style="padding: 1em;">
			This wizard will update the <b>LinkedSpecimen</b> annotation on
			<b>Specimen/NoSpecimen</b> items.<br>
			The date used for comparison is the
			creation date of the specimen.
			<ol>
				<li>If the patient has any specimen without date: <b>MissingDate</b>
				<li>If the same case has a prior core biopsy: <b>IpsilateralCoreBiopsy</b>
				<li>If the other case (opposite laterality) has a prior core biopsy: <b>ContralateralCoreBiopsy</b>
				<li>If the same case has a prior specimen: <b>IpsilateralSample</b>
				<li>If the other case (opposite laterality) has a prior specimen: <b>ContralateralSample</b>
				<li>If none of the above: <b>No value</b>
			</ol>
			</div>
		</div>
	</div>


	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table id="update-results" style="display: none; margin-top: 1em;">
		<tr class="bg-filled-100 bottomborder">
			<th style="width: 20em;">LinkedSpecimen</th>
			<th style="width: 10em;">Before</th>
			<th style="width: 10em;">After</th>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">No value</th>
			<td id="novalue-before">?</td>
			<td id="novalue-after">?</td>
		</tr>
		<tr class="bottomborder" style="border-bottom-style: dotted;">
			<th class="bg-filled-100 rightborder">MissingDate</th>
			<td id="MissingDate-before">?</td>
			<td id="MissingDate-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">IpsilateralCoreBiopsy</th>
			<td id="IpsilateralCoreBiopsy-before">?</td>
			<td id="IpsilateralCoreBiopsy-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">ContralateralCoreBiopsy</th>
			<td id="ContralateralCoreBiopsy-before">?</td>
			<td id="ContralateralCoreBiopsy-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">IpsilateralSample</th>
			<td id="IpsilateralSample-before">?</td>
			<td id="IpsilateralSample-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">ContralateralSample</th>
			<td id="ContralateralSample-before">?</td>
			<td id="ContralateralSample-after">?</td>
		</tr>
	</table>
		

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goupdate" title="Update" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>