var BloodImport = function()
{
	var blood = {};
	var debug = 0;
	var sampleFileIsValid = false;

	// Page initialization
	blood.initPage = function()
	{
		// Step 1
		Events.addEventHandler('sampleFile', 'change', blood.sampleFileOnChange);
		Events.addEventHandler('sheet', 'change', blood.sampleFileOnChange);
		Events.addEventHandler('step-1', 'wizard-validate', blood.validateStep1);

		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('gonext', Wizard.goNextOnClick);
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		Buttons.addClickHandler('goabort', blood.goAbort);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', blood.submit);

		Doc.show('step-1');
		Doc.show('goregister');

	}

	
	blood.sampleFileOnChange = function()
	{
		var frm = document.forms['reggie'];
		Wizard.setInputStatus('sampleFile');
		sampleFileIsValid = false;
		
		var file = frm.sampleFile.files[0];
		if (file)
		{
			var url = '../BloodFollowUpRegistration.servlet?ID='+App.getSessionId();
			url += '&cmd=BatchImportFromFile&validateOnly=1';
			url += '&filename='+encodeURIComponent(file.name);
			url += '&sheet='+encodeURIComponent(frm.sheet.value);
			
			Wizard.setInputStatus('sampleFile', 'checking', 'Validating...');
			Wizard.showLoadingAnimation('Validating ' + Strings.encodeTags(file.name));
			Wizard.asyncJsonRequest(url, blood.sampleFileValidated, 'POST', file);
		}
		else
		{
			Wizard.setInputStatus('sampleFile', 'invalid', 'Missing');
		}
	}


	blood.sampleFileValidated = function(response)
	{
		var frm = document.forms['reggie'];
		Wizard.setInputStatus('sampleFile');
		sampleFileIsValid = false;
		
		var sheetNames = response.sheetNames;
		var currentSheet = frm.sheet.value;
		frm.sheet.length = 0;
		if (sheetNames && sheetNames.length)
		{
			for (var sNo = 0; sNo < sheetNames.length; sNo++)
			{
				var sheet = sheetNames[sNo];
				frm.sheet[frm.sheet.length] = new Option(sheet, sheet, false, currentSheet == sheet);
			}
		}
		
		Doc.showHide('worksheetSection', frm.sheet.length > 1);
		Doc.showHide('worksheetSection.help', frm.sheet.length > 1);

		Wizard.showFinalMessage(response.messages);
		
		if (response.numErrors > 0)
		{
			Wizard.setInputStatus('sampleFile', 'invalid', 'The sample file has ' + response.numErrors + ' errors.');
		}
		else
		{
			Wizard.setInputStatus('sampleFile', 'valid');
			sampleFileIsValid = true;
		}
	}
	
	blood.validateStep1 = function(event)
	{
		var frm = document.forms['reggie'];
		if (frm.sampleFile.files.length == 0)
		{
			Wizard.setInputStatus('sampleFile', 'invalid', 'Missing');
		}
		
		if (!sampleFileIsValid) event.preventDefault();
	}

	blood.submit = function()
	{
		var frm = document.forms['reggie'];
		var file = frm.sampleFile.files[0];
		
		var url = '../BloodFollowUpRegistration.servlet?ID='+App.getSessionId();
		url += '&cmd=BatchImportFromFile';
		url += '&filename='+encodeURIComponent(file.name);
		url += '&sheet='+encodeURIComponent(frm.sheet.value);
		
		Wizard.showLoadingAnimation('Importing ' + Strings.encodeTags(file.name), 'follow-up-import-progress');
		Wizard.asyncJsonRequest(url, blood.submissionResults, 'POST', file);
		Doc.show('goabort');
	}
	
	blood.submissionResults = function(response)
	{
		Wizard.showFinalMessage(response.messages);
		Doc.hide('goabort');
		Doc.show('gorestart');
	}
	
	blood.goAbort = function()
	{
		if (confirm('Are you sure that you want to abort the import?'))
		{
			var url = '../Session.servlet?ID='+App.getSessionId();
			url += '&cmd=AbortProcess&name=follow-up-import-progress';
			var request = Ajax.getXmlHttpRequest();
			request.open("GET", url, true);
			request.send(null);
		}
	}
	
	return blood;
}();

Doc.onLoad(BloodImport.initPage);

