<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~retraction_followup_form.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
#patTable
{
	width: 100%; 
	border-collapse: collapse;
}

#patTable thead
{
	border-bottom-width: 1px;
}

#patTable .highlight
{
	border-top-width: 1px;
	border-top-style: dotted;
}

#patTable .highlight.evenrow
{
	border-top-color: transparent;
}

#patTable td
{
	text-align: center;
}

#patTable tbody td
{
	padding-top: 1px;
	padding-bottom: 1px;
}

#patTable tr td:first-child
{
	text-align: right;
	padding-right: 0.5em;
	white-space: nowrap;
	font-weight: bold;
	background-color: #F8F8F8;
}


#patTable .case-summary
{
	margin-left: 4px;
}

.bg-actions
{
	background-color: #f0f0f0;
}

.highlight:hover .bg-actions
{
	background-color: #e0e0e0;
	/* transistions copied from BASE to make it match */
	transition: all 0.3s ease 0.1s;
	-moz-transition: all 0.3s ease 0.1s;
	-webkit-transition: all 0.3s ease 0.1s;
}


#retractionItemsTable2
{
	width: 100%; 
	border-collapse: collapse;
}

#retractionItemsTable2 thead
{
	border-bottom-width: 1px;
}


#retractionItemsTable2 th
{
	text-align: left;
	padding: 2px 2px 2px 4px;
}

#retractionItemsTable2 td
{
	text-align: left;
	min-width: 4.5em;
	padding: 1px 2px 1px 4px;
}

#retractionItemsTable2 .index
{
	text-align: right;
	min-width: 4em;
	padding-right: 0.5em;
	background-color: #F8F8F8;
	color: #000000;
}

#retractionItemsTable2 tr.no-delete 
{
	background-color: #C80000;
	color: #ffffff;
	font-weight: bold;
}


#retractionItemsTable2 .no-delete .index
{
	background-image: url('../images/error.png');
	background-repeat: no-repeat;
	background-position: 2px 50%;
}

#itemsToDestruct
{
	width: 100%;
	margin: 0.5em 0;
}

#itemsToDestruct th, #itemsToDestruct td
{
	text-align: left;
	padding: 2px 0.5em;
}

#itemsToDestruct th:nth-child(3), #itemsToDestruct td:nth-child(3) 
{
	text-align: center;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement id="reggie-index"
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Retraction follow-up and destruction" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">

		<div class="step auto-hide" id="step-1">
			<div class="step-no">1</div>
			<div class="step-title">List of patients</div>
			<div class="step-content">

			<table id="patTable">
			<thead class="bg-filled-100">
				<tr>
					<th></th>
					<th class="dottedleft" colspan="2">Patient</th>
					<th class="dottedleft">Cases</th>
					<th class="dottedleft" colspan="3">Actions</th>
					<th class="dottedleft" colspan="2">Laboratory</th>
					<th class="dottedleft" colspan="2">Blood samples</th>
					<th class="dottedleft" colspan="2">Frozen samples</th>
					<th class="dottedleft">RCC Syd</th>
				</tr>
		
				<tr>
					<th></th>
					<th class="dottedleft">ID</th>
					<th>Personal number</th>
					<th class="dottedleft"></th>
					<th class="dottedleft" colspan="3"></th>
					<th class="dottedleft">Sent</th>
					<th>Received</th>
					<th class="dottedleft">Sent</th>
					<th>Received</th>
					<th class="dottedleft">Sent</th>
					<th>Received</th>
					<th class="dottedleft">Sent</th>
				</tr>
				
			</thead>
			<tbody id="patient-list">
			</tbody>
			</table>

			</div>
		</div>

		<div class="step" id="step-2">
			<div class="step-no">2</div>
			<div class="step-title" id="step-2-title">Retraction follow-up</div>
			<div class="step-content">

				<div id="retractTable" style="display: none;"></div>
				
				<div id="followup-form" style="display: none;">
				<table class="step-form bottomborder">
				<tr>
					<td class="prompt">Patient</td>
					<td class="input">
						<span id="patientInfo.name"></span>
					</td>
					<td class="status" id="patientInfo.status"></td>
					<td class="help">
						<span id="patientInfo.message" class="message"></span>
						Info for current patient
					</td>
				</tr>
				<tr>
					<td class="prompt">Laboratory</td>
					<td class="input">
						<span id="labNa">N/A <input type="checkbox" name="labDateNa" id="labDateNa"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="labSentDate"
							style="width: 1em;"></span>
						Date sent <input type="text" name="labSentDate" id="labSentDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="labReceivedDate"
							style="width: 8em;" maxlength="10">
						Date received <input type="text" name="labReceivedDate" id="labReceivedDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bloodSentDate"
							style="width: 8em;" maxlength="10">
					</td>
					<td class="status" id="labDate.status"></td>
					<td class="help">
						<span id="labDate.message" class="message"></span>
						Dates when retraction request sent and received to/from laboratory (YYYYMMDD)
					</td>
				</tr>
				<tr>
					<td class="prompt"></td>
					<td class="input" style="padding-bottom: 0.5em;">
						<table id="itemsToDestruct" class="fullborder">
						<thead class="bg-filled-100 bottomborder">
							<tr>
								<th>Type</th>
								<th>Name</th>
								<th>Destroyed</th>
							</tr>
						</thead>
						<tbody id="itemList" style="display: none;"></tbody>
						<tbody id="noItemsToDestruct" style="display: none;">
							<tr>
							<td colspan="3">There are no registered items to destruct.</td>
							</tr>
						</tbody>
						</table>
						<base:button id="btnCreateProtocol" title="Create protocol" image="<%=home+"/images/report.png"%>" 
							style="float: right; display: none;"/>
					</td>
					<td class="status"></td>
					<td class="help">
					</td>
				</tr>
				<tr>
					<td class="prompt">Blood samples</td>
					<td class="input">
						N/A <input type="checkbox" name="bloodDateNa" id="bloodDateNa"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bloodSentDate"
							style="width: 1em;">
						Date sent <input type="text" name="bloodSentDate" id="bloodSentDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="bloodReceivedDate"
							style="width: 8em;" maxlength="10">
						Date received <input type="text" name="bloodReceivedDate" id="bloodReceivedDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="frozenSentDate"
							style="width: 8em;" maxlength="10">
					</td>
					<td class="status" id="bloodDate.status"></td>
					<td class="help">
						<span id="bloodDate.message" class="message"></span>
						Dates when retraction request sent and received for blood samples (YYYYMMDD)
					</td>
				</tr>
				<tr>
					<td class="prompt">Frozen samples</td>
					<td class="input">
						N/A <input type="checkbox" name="frozenDateNa" id="frozenDateNa"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="frozenSentDate"
							style="width: 1em;">
						Date sent <input type="text" name="frozenSentDate" id="frozenSentDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="frozenReceivedDate"
							style="width: 8em;" maxlength="10">
						Date received <input type="text" name="frozenReceivedDate" id="frozenReceivedDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rccSydSentDate"
							style="width: 8em;" maxlength="10">
					</td>
					<td class="status" id="frozenDate.status"></td>
					<td class="help">
						<span id="frozenDate.message" class="message"></span>
						Dates when retraction request sent and received for frozen samples (YYYYMMDD)
					</td>
				</tr>
				<tr>
					<td class="prompt">RCC Syd notification</td>
					<td class="input">
						N/A <input type="checkbox" name="rccSydDateNa" id="rccSydDateNa"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="rccSydSentDate"
							style="width: 1em;">
						Date sent <input type="text" name="rccSydSentDate" id="rccSydSentDate"
							class="auto-init" data-auto-init="focus-on-enter" data-next-focus="goRegister"
							style="width: 8em;" maxlength="10">
					</td>
					<td class="status" id="rccSydDate.status"></td>
					<td class="help">
						<span id="rccSydDate.message" class="message"></span>
						Date when retraction notification sent to RCC Syd (YYYYMMDD)
					</td>
				</tr>
				</table>

				<div id="currentRetractionStatus" style="margin: 0.5em 1em;"></div>
				<div id="retractionStatusAfterRegistration" style="margin: 0.5em 1em;"></div>
				</div>
			</div>
		</div>

		<div id="wizard-status"></div>

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>